View Issue Details

IDProjectCategoryView StatusLast Update
13285Bug reports[All Projects] Theme editorpublic2018-02-06 12:01
Reporterdapster105 Assigned Toollehar  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.2.x 
Summary13285: Can't view/edit Question screen of any template
Description

When attempting to switch to the Question screen for any template (including vanilla, fruity etc) an error is displayed:

"Unable to find template "./subviews/content/.twig" (looked into: D:\home\site\wwwroot\themes\survey\vanilla\views)."

and the theme editor reverts to the Welcome screen view.

Steps To Reproduce

as above

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.1.0+180124
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMSSQL
Server OS (if known)Win
Webserver software & version (if known)IIS
PHP Versionlatest

Activities

TonisOrmisson

TonisOrmisson

2018-02-01 16:01

developer   ~46195

same here

NL3limin4t0r

NL3limin4t0r

2018-02-02 11:05

reporter   ~46202

+1 also present on my Ubuntu 17.10 installation.

ollehar

ollehar

2018-02-02 16:56

administrator   ~46226

Same for survey list.

tbednall

tbednall

2018-02-04 12:08

reporter   ~46240

I'm having this problem as well. When I try to access the "Question" page for the fruity theme, I receive the following message:

Unable to find template "./subviews/content/.twig" (looked into: /home1/timbednall/public_html/limesurvey/themes/survey/fruity/views, /home1/timbednall/public_html/limesurvey/themes/survey/vanilla/views).

Big_Lemon

Big_Lemon

2018-02-04 17:45

reporter   ~46243

+1

Same Error:

Unable to find template "./subviews/content/.twig" (looked into: /home1/timbednall/public_html/limesurvey/themes/survey/fruity/views, /home1/timbednall/public_html/limesurvey/themes/survey/vanilla/views)

Ubuntu 16.04 and Limesurvey Version 3.1.1+180130

Big_Lemon

Big_Lemon

2018-02-04 17:48

reporter   ~46244

Sorry, I mean: "Unable to find template "./subviews/content/.twig" (looked into: /var/www/html/limesurvey/upload/themes/survey/Kolibri_mobile/views, /var/www/html/limesurvey/themes/survey/vanilla/views)."

ollehar

ollehar

2018-02-05 14:52

administrator   ~46256

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26345

ollehar

ollehar

2018-02-05 15:07

administrator   ~46257

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26350

Related Changesets

LimeSurvey: master c5f69e55

2018-02-05 14:51:54

ollehar

Details Diff
Fixed issue 13285: Can't view/edit question screen of any template Affected Issues
13285
mod - themes/survey/bootswatch/config.xml Diff File

LimeSurvey: master 023f0b2e

2018-02-05 15:07:47

ollehar

Details Diff
Dev: Missed fix for 13285 Affected Issues
13285
mod - themes/survey/vanilla/config.xml Diff File

Issue History

Date Modified Username Field Change
2018-02-01 15:15 dapster105 New Issue
2018-02-01 16:01 TonisOrmisson Status new => confirmed
2018-02-01 16:01 TonisOrmisson Note Added: 46195
2018-02-02 11:05 NL3limin4t0r Note Added: 46202
2018-02-02 16:28 ollehar Assigned To => ollehar
2018-02-02 16:28 ollehar Status confirmed => assigned
2018-02-02 16:56 ollehar Note Added: 46226
2018-02-04 12:08 tbednall Note Added: 46240
2018-02-04 17:45 Big_Lemon Note Added: 46243
2018-02-04 17:48 Big_Lemon Note Added: 46244
2018-02-05 14:52 ollehar Changeset attached => LimeSurvey master c5f69e55
2018-02-05 14:52 ollehar Note Added: 46256
2018-02-05 14:52 ollehar Resolution open => fixed
2018-02-05 14:57 ollehar Status assigned => resolved
2018-02-05 15:07 ollehar Changeset attached => LimeSurvey master 023f0b2e
2018-02-05 15:07 ollehar Note Added: 46257
2018-02-06 12:01 ollehar Status resolved => closed
2018-02-06 12:01 ollehar Fixed in Version => 3.2.x